std::__detail::_StateSeq Class Reference
Base and Implementation Classes

## Public Member Functions

| _StateSeq (_Nfa &__ss, _StateIdT __s, _StateIdT __e=_S_invalid_state_id)
| _StateSeq (const _StateSeq &__e1, const _StateSeq &__e2)
| _StateSeq (const _StateSeq &__e, _StateIdT __id)
| _StateSeq (const _StateSeq &__rhs)
void | _M_append (_StateIdT __id)
void | _M_append (_StateSeq &__rhs)
_StateIdT | _M_clone ()
_StateIdT | _M_front () const
void | _M_push_back (_StateIdT __id)
_StateSeq & | operator= (const _StateSeq &__rhs)

## Detailed Description

Describes a sequence of one or more _State, its current start and end(s). This structure contains fragments of an NFA during construction.

Definition at line 378 of file regex_nfa.h.

The documentation for this class was generated from the following files:

- regex_nfa.h
- regex_nfa.tcc